function [wvtran]=D_wav_analP(x,Par,DeTr)
%1D discrete spline wavelet analysis of a row signal or an array of row
%signals 'x'
% x -- array to be decomposed
%Par -- spline order 
%DeTr -depth of decomposition

%wvtran -- array of wavelet coefficients
[vx N]=size(x);
wvtran=[];
fwvtran=[];

fx=fft(x,[],2);

%si=fx.*sqrt(u2)./(u+eps);
M=N;
flo=fx;
for kk=1:DeTr
    
     A= D_matr_transP(N,Par,vx,kk,1); 
 
[ flo, fhi]=flohiP(flo,A); 
  
  hi=real(ifft(fhi,[],2));
  wvtran=[hi,wvtran];
  fwvtran=[fhi,fwvtran];
  M=M/2;
end
lo=real(ifft(flo,[],2));
wvtran=[lo,wvtran];
  fwvtran=[flo,fwvtran];  
  % Copyright (c) 2013. Valery A. Zheludev
  